Bug 1685932 - [abrt] dracut: string_hash_func(): dracut-install killed by SIGSEGV
Summary: [abrt] dracut: string_hash_func(): dracut-install killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a482ee2370f9b07faa4edcf660a...
: 1692507 1692674 1692679 1692766 1692776 1692921 1692975 1693008 1693367 1693497 1693791 1693819 1694009 1694481 1694690 1694885 1695276 1696688 1703587 1707159 1722300 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-06 10:28 UTC by Soeren Grunewald
Modified: 2019-11-27 18:09 UTC (History)
49 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:09:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (4.87 KB, text/plain)
2019-03-06 10:28 UTC, Soeren Grunewald
no flags Details
File: cgroup (389 bytes, text/plain)
2019-03-06 10:28 UTC, Soeren Grunewald
no flags Details
File: core_backtrace (1.86 KB, text/plain)
2019-03-06 10:28 UTC, Soeren Grunewald
no flags Details
File: cpuinfo (1.44 KB, text/plain)
2019-03-06 10:28 UTC, Soeren Grunewald
no flags Details
File: dso_list (674 bytes, text/plain)
2019-03-06 10:28 UTC, Soeren Grunewald
no flags Details
File: environ (3.70 KB, text/plain)
2019-03-06 10:28 UTC, Soeren Grunewald
no flags Details
File: exploitable (82 bytes, text/plain)
2019-03-06 10:28 UTC, Soeren Grunewald
no flags Details
File: limits (1.29 KB, text/plain)
2019-03-06 10:28 UTC, Soeren Grunewald
no flags Details
File: maps (4.79 KB, text/plain)
2019-03-06 10:28 UTC, Soeren Grunewald
no flags Details
File: mountinfo (3.36 KB, text/plain)
2019-03-06 10:28 UTC, Soeren Grunewald
no flags Details
File: open_fds (351 bytes, text/plain)
2019-03-06 10:28 UTC, Soeren Grunewald
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2019-03-06 10:28 UTC, Soeren Grunewald
no flags Details

Description Soeren Grunewald 2019-03-06 10:28:12 UTC
Description of problem:
Installed updates

Version-Release number of selected component:
dracut-049-25.git20181204.fc29

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/lib/dracut/dracut-install -D /var/tmp/dracut.xDwz4w/initramfs -H --kerneldir /lib/modules/5.0.0-200.fc29.x86_64/ -o -m =drivers/net/phy =drivers/net/team =drivers/net/ethernet ecb arc4 bridge stp llc ipv6 bonding 8021q ipvlan macvlan af_packet virtio_net xennet
crash_function: string_hash_func
executable:     /usr/lib/dracut/dracut-install
journald_cursor: s=aea8191121b6445ca475cb2b49bdcb6a;i=2a6cd;b=e83c558c1cde4e31b800438aa7b6c1be;m=e763dec;t=5836a4630d8c4;x=d12d68d169322f9a
kernel:         4.20.13-200.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 string_hash_func at install/hashmap.c:130
 #1 hashmap_get at install/hashmap.c:362
 #2 check_hashmap at install/dracut-install.c:591
 #3 install_dependent_modules at install/dracut-install.c:1247
 #4 install_module at install/dracut-install.c:1335
 #5 install_modules at install/dracut-install.c:1626

Comment 1 Soeren Grunewald 2019-03-06 10:28:15 UTC
Created attachment 1541311 [details]
File: backtrace

Comment 2 Soeren Grunewald 2019-03-06 10:28:16 UTC
Created attachment 1541312 [details]
File: cgroup

Comment 3 Soeren Grunewald 2019-03-06 10:28:16 UTC
Created attachment 1541313 [details]
File: core_backtrace

Comment 4 Soeren Grunewald 2019-03-06 10:28:17 UTC
Created attachment 1541314 [details]
File: cpuinfo

Comment 5 Soeren Grunewald 2019-03-06 10:28:18 UTC
Created attachment 1541315 [details]
File: dso_list

Comment 6 Soeren Grunewald 2019-03-06 10:28:19 UTC
Created attachment 1541316 [details]
File: environ

Comment 7 Soeren Grunewald 2019-03-06 10:28:20 UTC
Created attachment 1541317 [details]
File: exploitable

Comment 8 Soeren Grunewald 2019-03-06 10:28:21 UTC
Created attachment 1541318 [details]
File: limits

Comment 9 Soeren Grunewald 2019-03-06 10:28:22 UTC
Created attachment 1541319 [details]
File: maps

Comment 10 Soeren Grunewald 2019-03-06 10:28:23 UTC
Created attachment 1541320 [details]
File: mountinfo

Comment 11 Soeren Grunewald 2019-03-06 10:28:24 UTC
Created attachment 1541321 [details]
File: open_fds

Comment 12 Soeren Grunewald 2019-03-06 10:28:25 UTC
Created attachment 1541322 [details]
File: proc_pid_status

Comment 13 Gene Snider 2019-03-20 00:56:11 UTC
Similar problem has been detected:

Installed kernel 5.0.3-200.fc29.x86_64 from koji.  I got the same error rerunning dracut manually.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/lib/dracut/dracut-install -D /var/tmp/dracut.YU1cxR/initramfs -H --kerneldir /lib/modules/5.0.3-200.fc29.x86_64/ -o -m =drivers/net/phy =drivers/net/team =drivers/net/ethernet ecb arc4 bridge stp llc ipv6 bonding 8021q ipvlan macvlan af_packet virtio_net xennet
crash_function: string_hash_func
executable:     /usr/lib/dracut/dracut-install
journald_cursor: s=5c856ceb70704b0abe9b95c1bd2b1576;i=5b333;b=3d54398cdbe34ee9b8d1cd728807405b;m=296d869b;t=5847b7aa221a1;x=f558f9f9c8579204
kernel:         4.20.16-200.fc29.x86_64
package:        dracut-049-25.git20181204.fc29
reason:         dracut-install killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 14 Michael J Gruber 2019-03-22 09:27:07 UTC
dracut foobar.img 5.0.3-200.fc29.x86_64 segfaults reliably (100%) for me. Interestingly, this still results in a working initrd and kernel.

dracut foobar.img 4.20.16-200.fc29.x86_64 segfaulted once, I could not produce another segfault in 10 runs, not even with intermittent dracut runs for 5.0.3

Still this may indicate a race condition.

Dracut version is the one from the report.

Comment 15 Kevin Whalen 2019-03-25 15:25:21 UTC
Similar problem has been detected:

sudo dnf reinstall kernel*-5.0.3

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/lib/dracut/dracut-install -D /var/tmp/dracut.A00LlB/initramfs -H --kerneldir /lib/modules/5.0.3-200.fc29.x86_64/ -o -m =drivers/net/phy =drivers/net/team =drivers/net/ethernet ecb arc4 bridge stp llc ipv6 bonding 8021q ipvlan macvlan af_packet virtio_net xennet
crash_function: string_hash_func
executable:     /usr/lib/dracut/dracut-install
journald_cursor: s=047c8a04162f4e66921333570d2c8f6b;i=b6c71;b=562a178f604646919cdbded04f1d2712;m=2527684c;t=584ecb20e0efb;x=1f6dc5b81dd5f893
kernel:         5.0.3-200.fc29.x86_64
package:        dracut-049-25.git20181204.fc29
reason:         dracut-install killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 16 xzj8b3 2019-03-25 18:10:08 UTC
*** Bug 1692507 has been marked as a duplicate of this bug. ***

Comment 17 Florian Kisser 2019-03-26 07:50:22 UTC
Similar problem has been detected:

dnf update

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/lib/dracut/dracut-install -D /var/tmp/dracut.LraQ0s/initramfs -H --kerneldir /lib/modules/5.0.3-200.fc29.x86_64/ -o -m =drivers/net/phy =drivers/net/team =drivers/net/ethernet ecb arc4 bridge stp llc ipv6 bonding 8021q ipvlan macvlan af_packet virtio_net xennet
crash_function: string_hash_func
executable:     /usr/lib/dracut/dracut-install
journald_cursor: s=b9a820a65f964347b7def05612f0a921;i=158837a;b=4250166d2462479a84f439414e490732;m=81753d93;t=584fa68802bb5;x=f0c18150341d0657
kernel:         4.20.16-200.fc29.x86_64
package:        dracut-049-25.git20181204.fc29
reason:         dracut-install killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 18 delreich+rhbz 2019-03-26 08:46:29 UTC
*** Bug 1692679 has been marked as a duplicate of this bug. ***

Comment 19 Brian J. Murrell 2019-03-26 10:23:24 UTC
Similar problem has been detected:

Tried to create an initrd

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/lib/dracut/dracut-install -D /var/tmp/dracut.kWQZrQ/initramfs -H --kerneldir /lib/modules/5.0.3-200.fc29.x86_64/ -o -m =drivers/net/phy =drivers/net/team =drivers/net/ethernet ecb arc4 bridge stp llc ipv6 bonding 8021q ipvlan macvlan af_packet virtio_net xennet
crash_function: string_hash_func
executable:     /usr/lib/dracut/dracut-install
journald_cursor: s=9eeb64a0b576476a8eb7a1aaca6b304a;i=111577;b=ec17716482b84fc6b95f58d15bd98c38;m=6b862ba309;t=584fc94f2347b;x=db9d1d4c8da391f3
kernel:         4.20.16-200.fc29.x86_64
package:        dracut-049-25.git20181204.fc29
reason:         dracut-install killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 20 alain.thiaville 2019-03-26 11:05:49 UTC
Similar problem has been detected:

after shutdown -r 1
uname -r =  5.0.3-200.fc29.x86_64

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/lib/dracut/dracut-install -D /var/tmp/dracut.UzE2Ci/initramfs -H --kerneldir /lib/modules/5.0.3-200.fc29.x86_64/ -o -m =drivers/net/phy =drivers/net/team =drivers/net/ethernet ecb arc4 bridge stp llc ipv6 bonding 8021q ipvlan macvlan af_packet virtio_net xennet
crash_function: string_hash_func
executable:     /usr/lib/dracut/dracut-install
journald_cursor: s=5dbd34eae8144708849524d7c9ecc1bc;i=17756;b=2842228158c3422ca6488885ad035659;m=1ae9249221;t=584fcc4efcd5e;x=649caf92112bba33
kernel:         4.20.16-200.fc29.x86_64
package:        dracut-049-25.git20181204.fc29
reason:         dracut-install killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 21 Alessandro Machado 2019-03-26 11:57:02 UTC
*** Bug 1692766 has been marked as a duplicate of this bug. ***

Comment 22 olav 2019-03-26 12:13:33 UTC
*** Bug 1692776 has been marked as a duplicate of this bug. ***

Comment 23 Michael J Gruber 2019-03-26 13:21:38 UTC
This might be the dracut problem reported in bug #1676357 which should be fixed in https://bodhi.fedoraproject.org/updates/FEDORA-2019-38c666fc03

Comment 24 Laura Abbott 2019-03-26 13:45:15 UTC
*** Bug 1692674 has been marked as a duplicate of this bug. ***

Comment 25 Laura Abbott 2019-03-26 17:06:58 UTC
*** Bug 1692921 has been marked as a duplicate of this bug. ***

Comment 26 Johannes Rest 2019-03-26 19:48:30 UTC
*** Bug 1692975 has been marked as a duplicate of this bug. ***

Comment 27 9jYqEjAGii7bauq6tAFv 2019-03-26 22:34:32 UTC
*** Bug 1693008 has been marked as a duplicate of this bug. ***

Comment 28 Vedran Miletić 2019-03-27 10:07:56 UTC
(In reply to Michael J Gruber from comment #23)
> This might be the dracut problem reported in bug #1676357 which should be
> fixed in https://bodhi.fedoraproject.org/updates/FEDORA-2019-38c666fc03

Confirmed fixed with 5.0.3 from updates and 5.0.4 from koji on a machine that has shown the problem before.

Comment 29 elvishp2006 2019-03-27 16:33:26 UTC
*** Bug 1693367 has been marked as a duplicate of this bug. ***

Comment 30 Antonio 2019-03-28 01:34:20 UTC
*** Bug 1693497 has been marked as a duplicate of this bug. ***

Comment 31 Jeroen Mathon 2019-03-28 16:04:20 UTC
*** Bug 1693791 has been marked as a duplicate of this bug. ***

Comment 32 Jáchym Tomášek 2019-03-28 17:25:20 UTC
*** Bug 1693819 has been marked as a duplicate of this bug. ***

Comment 33 valera 2019-03-29 09:34:52 UTC
*** Bug 1694009 has been marked as a duplicate of this bug. ***

Comment 34 Bojan Jovanovic 2019-03-31 13:07:52 UTC
Similar problem has been detected:

happened when the first kernel 5.0 was installed

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/lib/dracut/dracut-install -D /var/tmp/dracut.VdDUgc/initramfs -H --kerneldir /lib/modules/5.0.3-200.fc29.x86_64/ -o -m =drivers/net/phy =drivers/net/team =drivers/net/ethernet ecb arc4 bridge stp llc ipv6 bonding 8021q ipvlan macvlan af_packet virtio_net xennet
crash_function: string_hash_func
executable:     /usr/lib/dracut/dracut-install
journald_cursor: s=1aea5cea7aa94edd809347096ba9432d;i=2a7f0;b=e8dd6cf1b9954872895ce9cf91d20339;m=27156a981c;t=585142db2a027;x=487f7ca894ea8818
kernel:         4.20.14-200.fc29.x86_64
package:        dracut-049-25.git20181204.fc29
reason:         dracut-install killed by SIGSEGV
rootdir:        /
runlevel:       N 3
type:           CCpp
uid:            0

Comment 35 Shahriar 2019-03-31 19:05:17 UTC
*** Bug 1694481 has been marked as a duplicate of this bug. ***

Comment 36 Artemio 2019-04-01 12:00:16 UTC
*** Bug 1694690 has been marked as a duplicate of this bug. ***

Comment 37 Reka Prihatanto 2019-04-01 23:23:29 UTC
*** Bug 1694885 has been marked as a duplicate of this bug. ***

Comment 38 Artur Penttinen 2019-04-02 18:33:13 UTC
*** Bug 1695276 has been marked as a duplicate of this bug. ***

Comment 39 Davide Repetto 2019-04-04 04:14:50 UTC
Similar problem has been detected:

No idea what happend here. Just reporting to see if the dumps are useful by themselves.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/lib/dracut/dracut-install -D /var/tmp/dracut.nUdM9w/initramfs --kerneldir /lib/modules/5.0.3-200.fc29.x86_64/ -o -m =drivers/net/phy =drivers/net/team =drivers/net/ethernet ecb arc4 bridge stp llc ipv6 bonding 8021q ipvlan macvlan af_packet virtio_net xennet
crash_function: string_hash_func
executable:     /usr/lib/dracut/dracut-install
journald_cursor: s=d40546ed3bd24927a8ce8b22441955c9;i=1755;b=060f3e48fd964e75bd66c343ab76b76d;m=3d86a2596b;t=584fedccac28c;x=5c1d3e0642a794b4
kernel:         4.20.16-200.fc29.x86_64
package:        dracut-049-25.git20181204.fc29
reason:         dracut-install killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 40 Subhadeep Dey 2019-04-05 12:28:16 UTC
*** Bug 1696688 has been marked as a duplicate of this bug. ***

Comment 41 thestonewell 2019-04-26 19:16:42 UTC
*** Bug 1703587 has been marked as a duplicate of this bug. ***

Comment 42 Celio 2019-05-06 23:24:43 UTC
*** Bug 1707159 has been marked as a duplicate of this bug. ***

Comment 43 Nicolas Estanislau 2019-06-20 00:22:54 UTC
*** Bug 1722300 has been marked as a duplicate of this bug. ***

Comment 44 Ben Cotton 2019-10-31 19:06:45 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 45 Ben Cotton 2019-11-27 18:09:25 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.